Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597598 - RFE: add GVRP support for vlan devices
Summary: RFE: add GVRP support for vlan devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 18:07 UTC by Tomasz Kepczynski
Modified: 2014-03-17 03:23 UTC (History)
5 users (show)

Fixed In Version: initscripts-9.26-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-28 21:24:28 UTC


Attachments (Terms of Use)
proposed patch for GVRP support (deleted)
2010-05-29 18:07 UTC, Tomasz Kepczynski
no flags Details | Diff

Description Tomasz Kepczynski 2010-05-29 18:07:39 UTC
Created attachment 417903 [details]
proposed patch for GVRP support

Description of problem:
As in title really. Please see the attached patch.

Version-Release number of selected component (if applicable):
initscripts-9.14-1.fc14

Comment 1 Bill Nottingham 2010-06-01 21:44:41 UTC
What are the benefits of enabling or disabling this? Does having it on by default help/hurt?

Comment 2 Tomasz Kepczynski 2010-06-02 05:07:20 UTC
GVRP is a protocol which allows switches to learn about vlan available over trunk ports. The vlans are created automatically and this allows to cut traffic on a trunk port to only that needed.
"gvrp on" will allow linux kernel to announce vlan creation/removal to switch.
I wouldn't put it on by default as: it requires switch with gvrp support; it requires switch to be configured properly. If it is not done then you pay for a feature which is useless for you in terms of kernel time needed to repeatedly send announcements and in traffic itself.

See also:
http://en.wikipedia.org/wiki/GARP_VLAN_Registration_Protocol#Multiple_VLAN_Registration_Protocol_.28MVRP.29
http://www.cisco.com/en/US/tech/tk389/tk689/tk301/tsd_technology_support_sub-protocol_home.html
http://www.google.pl/url?sa=t&source=web&ct=res&cd=6&ved=0CDYQFjAF&url=http%3A%2F%2Fwww.hp.com%2Frnd%2Fsupport%2Fconfig_examples%2Fgvrp_use.pdf&ei=9-UFTL6RMMGMOOPDiPkK&usg=AFQjCNHCSLfsL2uJlOkAiXPI6dLImN4nlw

Comment 3 Bill Nottingham 2011-02-28 21:24:28 UTC
Sorry about the delay. Added in http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=f662d4777625cd3bedea19cccabea7741a8b45c9.

Given that none of the other networking keys accept mixed case, I simplified that bit.

Comment 4 Fedora Update System 2011-03-10 21:09:44 UTC
initscripts-9.26-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/initscripts-9.26-1.fc15

Comment 5 Fedora Update System 2011-03-14 05:38:52 UTC
initscripts-9.26-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.